{"components":{"securitySchemes":{"BearerAuth":{"bearerFormat":"JWT","description":"JWT Token，请求头: Authorization: Bearer {token}","scheme":"bearer","type":"http"}}},"info":{"description":"出入登记管理系统后端接口文档 —— Go Gin 重构版，完整替代原 Node.js 三微服务架构","title":"出入登记系统 API","version":"1.0.0"},"openapi":"3.0.3","paths":{"/Adminapp/manage/organization/organization/Geocoder":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"lat":{"description":"纬度","type":"string"},"lon":{"description":"经度","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回地理信息","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回地理信息"}},"security":[{"BearerAuth":[]}],"summary":"地理编码","tags":["其他"]}},"/Adminapp/manage/organization/organization/Improveuserinformation":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"address":{"description":"地址","type":"string"},"fullname":{"description":"姓名","type":"string"},"phone":{"description":"手机号","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"成功","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"成功"}},"security":[{"BearerAuth":[]}],"summary":"完善用户资料","tags":["用户信息"]}},"/Adminapp/manage/organization/organization/Individualcodescanningapplication":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"fullname":{"description":"姓名","type":"string"},"individualid":{"description":"个体ID","type":"integer"},"phone":{"description":"手机号","type":"string"},"reason":{"description":"申请原因","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回审核记录","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回审核记录"}},"security":[{"BearerAuth":[]}],"summary":"提交扫码申请","tags":["审核审批"]}},"/Adminapp/manage/organization/organization/MemberStatus":{"post":{"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回会员状态","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回会员状态"}},"security":[{"BearerAuth":[]}],"summary":"会员状态查询","tags":["其他"]}},"/Adminapp/manage/organization/organization/Obtainindividualinformation":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"individualid":{"description":"个体ID","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回个体对象","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回个体对象"}},"security":[{"BearerAuth":[]}],"summary":"获取个体信息","tags":["用户信息"]}},"/Adminapp/manage/organization/organization/checkarecordlist":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"Endtime":{"description":"结束时间","type":"string"},"Inandout":{"description":"出入类型","type":"integer"},"curPage":{"description":"页码","type":"integer"},"fullname":{"description":"姓名","type":"string"},"individualid":{"description":"个体ID","type":"integer"},"pageSize":{"description":"每页条数","type":"integer"},"phone":{"description":"手机号","type":"string"},"starttime":{"description":"开始时间","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回分页记录","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回分页记录"}},"security":[{"BearerAuth":[]}],"summary":"查询登记记录","tags":["出入登记"]}},"/Adminapp/manage/organization/organization/checkthenumberofissuedshares":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"individualid":{"description":"个体ID","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回 remainingtimes, purchasetimes","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回 remainingtimes, purchasetimes"}},"security":[{"BearerAuth":[]}],"summary":"查询剩余发布次数","tags":["公告管理"]}},"/Adminapp/manage/organization/organization/coderefusedtomentionagain":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"fullname":{"description":"姓名","type":"string"},"individualid":{"description":"个体ID","type":"integer"},"phone":{"description":"手机号","type":"string"},"reason":{"description":"原因","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回新审核记录","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回新审核记录"}},"security":[{"BearerAuth":[]}],"summary":"被拒后重新提交","tags":["审核审批"]}},"/Adminapp/manage/organization/organization/deleteiotdeviceinformation":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"id":{"description":"设备ID","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"删除成功","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"删除成功"}},"security":[{"BearerAuth":[]}],"summary":"删除设备","tags":["IoT设备"]}},"/Adminapp/manage/organization/organization/deletereportinginformation":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"id":{"description":"上报ID","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"删除成功","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"删除成功"}},"security":[{"BearerAuth":[]}],"summary":"删除上报","tags":["上报管理"]}},"/Adminapp/manage/organization/organization/exportofindividualaccessrecords":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"Endtime":{"description":"结束时间","type":"string"},"Inandout":{"description":"出入类型","type":"integer"},"individualid":{"description":"个体ID","type":"integer"},"starttime":{"description":"开始时间","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回导出文件URL","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回导出文件URL"}},"security":[{"BearerAuth":[]}],"summary":"导出出入记录","tags":["出入登记"]}},"/Adminapp/manage/organization/organization/fillingstatus":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"individualid":{"description":"个体ID","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回审核状态","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回审核状态"}},"security":[{"BearerAuth":[]}],"summary":"查询申请状态","tags":["用户信息"]}},"/Adminapp/manage/organization/organization/getthelistofindividualIOTdevices":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"individualid":{"description":"个体ID","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回设备列表","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回设备列表"}},"security":[{"BearerAuth":[]}],"summary":"设备列表","tags":["IoT设备"]}},"/Adminapp/manage/organization/organization/getwxacodeunlimit":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"page":{"description":"页面路径","type":"string"},"scene":{"description":"场景值","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回上传结果","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回上传结果"}},"security":[{"BearerAuth":[]}],"summary":"生成小程序码","tags":["微信支付"]}},"/Adminapp/manage/organization/organization/individualacquisitionaudit":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"curPage":{"description":"页码","type":"integer"},"fullname":{"description":"姓名","type":"string"},"individualid":{"description":"个体ID","type":"integer"},"pageSize":{"description":"每页条数","type":"integer"},"phone":{"description":"手机号","type":"string"},"userstatus":{"description":"状态 0拒绝/1通过/2待审","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回分页审核列表","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回分页审核列表"}},"security":[{"BearerAuth":[]}],"summary":"获取审核列表","tags":["审核审批"]}},"/Adminapp/manage/organization/organization/individualadd":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"headimg":{"description":"头像","type":"string"},"name":{"description":"个体名称","type":"string"},"organizationid":{"description":"所属组织ID","type":"integer"},"userstatus":{"description":"状态","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回个体对象","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回个体对象"}},"security":[{"BearerAuth":[]}],"summary":"创建个体","tags":["个体管理"]}},"/Adminapp/manage/organization/organization/individualadmin":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"administratorsid":{"description":"管理员ID","type":"string"},"individualid":{"description":"个体ID","type":"integer"},"organizationid":{"description":"组织ID","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"添加成功","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"添加成功"}},"security":[{"BearerAuth":[]}],"summary":"分配个体管理员","tags":["管理员分配"]}},"/Adminapp/manage/organization/organization/individualannouncement":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"content":{"description":"内容","type":"string"},"individualid":{"description":"个体ID","type":"integer"},"issuer":{"description":"发布者","type":"string"},"title":{"description":"标题","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回公告记录","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回公告记录"}},"security":[{"BearerAuth":[]}],"summary":"发布公告","tags":["公告管理"]}},"/Adminapp/manage/organization/organization/individualauditreport":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"id":{"description":"上报ID","type":"integer"},"individualid":{"description":"个体ID","type":"integer"},"reply":{"description":"回复","type":"string"},"reviewer":{"description":"审核人","type":"string"},"userstatus":{"description":"1通过/0拒绝","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"操作成功","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"操作成功"}},"security":[{"BearerAuth":[]}],"summary":"审核上报","tags":["上报管理"]}},"/Adminapp/manage/organization/organization/individualdelete":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"id":{"description":"个体ID","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"删除成功","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"删除成功"}},"security":[{"BearerAuth":[]}],"summary":"删除个体","tags":["个体管理"]}},"/Adminapp/manage/organization/organization/individualionadmindelete":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"individualid":{"description":"个体ID","type":"integer"},"uid":{"description":"用户ID","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"删除成功","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"删除成功"}},"security":[{"BearerAuth":[]}],"summary":"移除个体管理员","tags":["管理员分配"]}},"/Adminapp/manage/organization/organization/individualionadminlist":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"individualid":{"description":"个体ID","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回管理员用户列表","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回管理员用户列表"}},"security":[{"BearerAuth":[]}],"summary":"个体管理员列表","tags":["管理员分配"]}},"/Adminapp/manage/organization/organization/individuallist":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"name":{"description":"搜索名称","type":"string"},"organizationid":{"description":"组织ID","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回列表含当日出入统计","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回列表含当日出入统计"}},"security":[{"BearerAuth":[]}],"summary":"个体列表","tags":["个体管理"]}},"/Adminapp/manage/organization/organization/individualmodify":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"headimg":{"description":"头像","type":"string"},"id":{"description":"个体ID","type":"integer"},"name":{"description":"名称","type":"string"},"userstatus":{"description":"状态","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"修改成功","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"修改成功"}},"security":[{"BearerAuth":[]}],"summary":"修改个体","tags":["个体管理"]}},"/Adminapp/manage/organization/organization/individualnewotequipment":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"dev_id":{"description":"设备ID","type":"string"},"dev_name":{"description":"设备名","type":"string"},"device_name1":{"description":"设备名1","type":"string"},"device_name2":{"description":"设备名2","type":"string"},"individualid":{"description":"个体ID","type":"integer"},"mac":{"description":"MAC地址","type":"string"},"type":{"description":"0=WiFi/1=4G","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回设备对象","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回设备对象"}},"security":[{"BearerAuth":[]}],"summary":"绑定新设备","tags":["IoT设备"]}},"/Adminapp/manage/organization/organization/joinanorganizationwithdelete":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"shid":{"description":"审核记录ID","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"成功","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"成功"}},"security":[{"BearerAuth":[]}],"summary":"退出组织","tags":["其他"]}},"/Adminapp/manage/organization/organization/longswitchiotequipment":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"dev_id":{"description":"设备ID","type":"string"},"whichway":{"description":"0=关/1=开","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回结果","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回结果"}},"security":[{"BearerAuth":[]}],"summary":"设备开关切换","tags":["IoT设备"]}},"/Adminapp/manage/organization/organization/modifyapprovalstatussh":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"rejectreason":{"description":"拒绝原因","type":"string"},"shid":{"description":"审核ID","type":"integer"},"userstatus":{"description":"1通过/0拒绝","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"操作成功","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"操作成功"}},"security":[{"BearerAuth":[]}],"summary":"审批通过/拒绝","tags":["审核审批"]}},"/Adminapp/manage/organization/organization/modifyiotequipmentinformation":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"device_name1":{"description":"设备名1","type":"string"},"device_name2":{"description":"设备名2","type":"string"},"id":{"description":"设备ID","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"修改成功","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"修改成功"}},"security":[{"BearerAuth":[]}],"summary":"修改设备信息","tags":["IoT设备"]}},"/Adminapp/manage/organization/organization/newreportingitemsforusers":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"IDnumber":{"description":"身份证号","type":"string"},"content":{"description":"内容","type":"string"},"fullname":{"description":"姓名","type":"string"},"imgdata":{"description":"图片数据","items":{"type":"string"},"type":"array"},"individualid":{"description":"个体ID","type":"integer"},"phone":{"description":"手机号","type":"string"},"title":{"description":"标题","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回上报记录","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回上报记录"}},"security":[{"BearerAuth":[]}],"summary":"新建上报","tags":["上报管理"]}},"/Adminapp/manage/organization/organization/obtainindividualiotdeviceinformation":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"id":{"description":"设备ID","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回设备对象","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回设备对象"}},"security":[{"BearerAuth":[]}],"summary":"设备详情","tags":["IoT设备"]}},"/Adminapp/manage/organization/organization/organizationadd":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"headimg":{"description":"头像URL","type":"string"},"name":{"description":"组织名称","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回组织对象","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回组织对象"}},"security":[{"BearerAuth":[]}],"summary":"创建组织","tags":["组织管理"]}},"/Adminapp/manage/organization/organization/organizationadmin":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"administratorsid":{"description":"管理员AdministratorID","type":"string"},"organizationid":{"description":"组织ID","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"添加成功","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"添加成功"}},"security":[{"BearerAuth":[]}],"summary":"分配组织管理员","tags":["管理员分配"]}},"/Adminapp/manage/organization/organization/organizationadmindelete":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"organizationid":{"description":"组织ID","type":"integer"},"uid":{"description":"用户ID","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"删除成功","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"删除成功"}},"security":[{"BearerAuth":[]}],"summary":"移除组织管理员","tags":["管理员分配"]}},"/Adminapp/manage/organization/organization/organizationadminlist":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"organizationid":{"description":"组织ID","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回管理员用户列表","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回管理员用户列表"}},"security":[{"BearerAuth":[]}],"summary":"组织管理员列表","tags":["管理员分配"]}},"/Adminapp/manage/organization/organization/organizationdelete":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"id":{"description":"组织ID","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"删除成功","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"删除成功"}},"security":[{"BearerAuth":[]}],"summary":"删除组织","tags":["组织管理"]}},"/Adminapp/manage/organization/organization/organizationlist":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"name":{"description":"搜索名称","type":"string"},"page":{"description":"页码","type":"integer"},"strip":{"description":"每页条数","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回当前用户的组织数组，含当日 enter/out 统计","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回当前用户的组织数组，含当日 enter/out 统计"}},"security":[{"BearerAuth":[]}],"summary":"组织列表","tags":["组织管理"]}},"/Adminapp/manage/organization/organization/organizationmodify":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"headimg":{"description":"头像","type":"string"},"id":{"description":"组织ID","type":"integer"},"name":{"description":"名称","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"修改成功","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"修改成功"}},"security":[{"BearerAuth":[]}],"summary":"修改组织","tags":["组织管理"]}},"/Adminapp/manage/organization/organization/owneraddauthorizedperson":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"administratorsid":{"description":"被授权人AdministratorID","type":"string"},"individualid":{"description":"个体ID","type":"integer"},"termofvalidity":{"description":"有效期时间戳(ms)","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回授权记录","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回授权记录"}},"security":[{"BearerAuth":[]}],"summary":"添加授权人","tags":["授权管理"]}},"/Adminapp/manage/organization/organization/owneraddauthorizedpersondelete":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"id":{"description":"授权记录ID","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"删除成功","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"删除成功"}},"security":[{"BearerAuth":[]}],"summary":"移除授权人","tags":["授权管理"]}},"/Adminapp/manage/organization/organization/owneraddauthorizedpersonlist":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"individualid":{"description":"个体ID","type":"integer"},"type":{"description":"0=管理员视角/1=拥有者视角","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回授权人列表","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回授权人列表"}},"security":[{"BearerAuth":[]}],"summary":"授权人列表","tags":["授权管理"]}},"/Adminapp/manage/organization/organization/queryuserinformation":{"post":{"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回用户对象","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回用户对象"}},"security":[{"BearerAuth":[]}],"summary":"查询当前用户信息","tags":["用户信息"]}},"/Adminapp/manage/organization/organization/registrationtemplateadd":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"custom":{"description":"模板JSON","type":"string"},"individualid":{"description":"个体ID","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"添加成功","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"添加成功"}},"security":[{"BearerAuth":[]}],"summary":"创建登记模板","tags":["登记模板"]}},"/Adminapp/manage/organization/organization/registrationtemplatemodify":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"custom":{"description":"模板JSON","type":"string"},"individualid":{"description":"个体ID","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"修改成功","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"修改成功"}},"security":[{"BearerAuth":[]}],"summary":"修改登记模板","tags":["登记模板"]}},"/Adminapp/manage/organization/organization/reportitemsforrepair":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"IDnumber":{"description":"身份证号","type":"string"},"content":{"description":"内容","type":"string"},"fullname":{"description":"姓名","type":"string"},"id":{"description":"上报ID","type":"integer"},"imgdata":{"description":"图片","items":{"type":"string"},"type":"array"},"phone":{"description":"手机号","type":"string"},"title":{"description":"标题","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"修改成功","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"修改成功"}},"security":[{"BearerAuth":[]}],"summary":"修改上报","tags":["上报管理"]}},"/Adminapp/manage/organization/organization/rootpublicsearchlist":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"curPage":{"description":"页码","type":"integer"},"individualid":{"description":"个体ID","type":"integer"},"issuer":{"description":"发布者搜索","type":"string"},"pageSize":{"description":"每页条数","type":"integer"},"title":{"description":"标题搜索","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回分页公告列表","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回分页公告列表"}},"security":[{"BearerAuth":[]}],"summary":"公告列表","tags":["公告管理"]}},"/Adminapp/manage/organization/organization/sendinstructionstoiotequipment":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"dev_id":{"description":"设备ID","type":"string"},"whichway":{"description":"0=关/1=开","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回指令结果","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回指令结果"}},"security":[{"BearerAuth":[]}],"summary":"发送设备指令","tags":["IoT设备"]}},"/Adminapp/manage/organization/organization/theusercheckstheusersfilinglist":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"curPage":{"description":"页码","type":"integer"},"pageSize":{"description":"每页条数","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回分页列表","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回分页列表"}},"security":[{"BearerAuth":[]}],"summary":"用户查看自己的上报","tags":["上报管理"]}},"/Adminapp/manage/organization/organization/useidentificationgroup":{"post":{"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回组织/个体列表","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回组织/个体列表"}},"security":[{"BearerAuth":[]}],"summary":"用户所属组织查询","tags":["其他"]}},"/Adminapp/manage/organization/organization/userfilinglist":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"curPage":{"description":"页码","type":"integer"},"individualid":{"description":"个体ID","type":"integer"},"pageSize":{"description":"每页条数","type":"integer"},"userstatus":{"description":"状态","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回分页列表","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回分页列表"}},"security":[{"BearerAuth":[]}],"summary":"个体查看上报列表","tags":["上报管理"]}},"/Adminapp/manage/organization/organization/userqueryregistration":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"Endtime":{"description":"结束时间","type":"string"},"Inandout":{"description":"出入类型","type":"integer"},"curPage":{"description":"页码","type":"integer"},"pageSize":{"description":"每页条数","type":"integer"},"starttime":{"description":"开始时间","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回分页记录","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回分页记录"}},"security":[{"BearerAuth":[]}],"summary":"用户查询自己的登记","tags":["出入登记"]}},"/Adminapp/manage/organization/organization/visitorregistration":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"Inandout":{"description":"0=出/1=入","type":"integer"},"custom":{"description":"自定义表单数据","items":{"type":"string"},"type":"array"},"fullname":{"description":"姓名","type":"string"},"individualid":{"description":"个体ID","type":"integer"},"organizationid":{"description":"组织ID","type":"integer"},"phone":{"description":"手机号","type":"string"},"riskarea":{"description":"风险区","type":"string"},"temperature":{"description":"体温","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回登记记录","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回登记记录"}},"security":[{"BearerAuth":[]}],"summary":"访客出入登记","tags":["出入登记"]}},"/Adminapp/manage/organization/organization/wxMiniPay":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"individualid":{"description":"个体ID","type":"integer"},"openid":{"description":"用户openid","type":"string"},"price":{"description":"金额","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回 orderid, prepay_id","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回 orderid, prepay_id"}},"security":[{"BearerAuth":[]}],"summary":"发起微信支付","tags":["微信支付"]}},"/Adminapp/manage/organization/organization/wxPayquery":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"out_trade_no":{"description":"订单号","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回支付状态","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回支付状态"}},"security":[{"BearerAuth":[]}],"summary":"查询支付状态","tags":["微信支付"]}},"/Adminapp/manage/upload/upload":{"post":{"requestBody":{"content":{"multipart/form-data":{"schema":{"properties":{"file":{"description":"上传文件","format":"binary","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"properties":{"mis":{"type":"string"},"url":{"type":"string"}},"type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回 {mis, url}"}},"summary":"单文件上传","tags":["文件上传"]}},"/Adminapp/manage/upload/uploads":{"post":{"requestBody":{"content":{"multipart/form-data":{"schema":{"properties":{"files":{"description":"上传文件","format":"binary","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"properties":{"mis":{"type":"string"},"url":{"type":"string"}},"type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回 {mis, url}"}},"summary":"多文件上传","tags":["文件上传"]}},"/Adminapp/manage/user/user/Administratorpclogin":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"password":{"description":"密码","type":"string"},"username":{"description":"用户名","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回 token","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回 token"}},"summary":"管理员PC登录","tags":["用户管理"]}},"/Adminapp/manage/user/user/PClogin":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"code":{"description":"微信OAuth2 code","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回 token、用户信息","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回 token、用户信息"}},"summary":"PC端微信扫码登录","tags":["用户管理"]}},"/Adminapp/manage/user/user/WeChataccessphonenumber":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"code":{"description":"微信手机号授权code","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回手机号信息","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回手机号信息"}},"summary":"获取微信手机号","tags":["用户管理"]}},"/Adminapp/manage/user/user/deletemember":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"id":{"description":"用户ID","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"删除成功","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"删除成功"}},"security":[{"BearerAuth":[]}],"summary":"删除成员","tags":["用户管理"]}},"/Adminapp/manage/user/user/jurisdiction":{"get":{"parameters":[{"description":"用户unionid","in":"query","name":"account","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回权限列表","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回权限列表"}},"security":[{"BearerAuth":[]}],"summary":"查询用户权限","tags":["用户管理"]}},"/Adminapp/manage/user/user/jurisdictionmodify":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"id":{"description":"权限ID数组","items":{"type":"string"},"type":"array"},"userId":{"description":"用户ID","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"修改成功","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"修改成功"}},"security":[{"BearerAuth":[]}],"summary":"修改用户权限","tags":["用户管理"]}},"/Adminapp/manage/user/user/login":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"password":{"description":"密码","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回 token、用户信息","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回 token、用户信息"}},"summary":"用户登录","tags":["用户管理"]}},"/Adminapp/manage/user/user/register":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"avatarUrl":{"description":"头像URL","type":"string"},"code":{"description":"微信授权code","type":"string"},"nickName":{"description":"昵称","type":"string"},"type":{"description":"小程序类型 1/2/3/4","type":"integer"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"返回 token、用户ID","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"返回 token、用户ID"}},"summary":"微信小程序注册","tags":["用户管理"]}},"/Adminapp/manage/user/user/usermodification":{"post":{"requestBody":{"content":{"application/json":{"schema":{"properties":{"account":{"description":"账号","type":"string"},"id":{"description":"用户ID","type":"integer"},"name":{"description":"姓名","type":"string"},"password":{"description":"密码","type":"string"}},"type":"object"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"code":{"example":1000,"type":"integer"},"data":{"description":"修改成功","type":"object"},"message":{"example":"success","type":"string"}},"type":"object"}}},"description":"修改成功"}},"security":[{"BearerAuth":[]}],"summary":"修改用户信息","tags":["用户管理"]}}},"servers":[{"description":"本地服务","url":"http://localhost:5010"}],"tags":[{"description":"用户登录、注册、权限管理","name":"用户管理"},{"description":"单文件/多文件上传到腾讯 COS","name":"文件上传"},{"description":"组织 CRUD 操作","name":"组织管理"},{"description":"个体 CRUD 操作","name":"个体管理"},{"description":"组织/个体管理员分配与移除","name":"管理员分配"},{"description":"访客登记、出入记录查询、导出","name":"出入登记"},{"description":"登记表单模板管理","name":"登记模板"},{"description":"扫码申请、审核、审批流程","name":"审核审批"},{"description":"完善资料、查询信息、个体详情","name":"用户信息"},{"description":"公告发布、配额查询、公告列表","name":"公告管理"},{"description":"用户上报、审核、归档","name":"上报管理"},{"description":"IoT 设备绑定、控制、管理","name":"IoT设备"},{"description":"授权人添加、删除、列表","name":"授权管理"},{"description":"微信小程序支付、小程序码","name":"微信支付"},{"description":"会员状态、地理编码、组织查询","name":"其他"}]}